/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.action;

import jp.mosp.common.common.BaseAction;
import jp.mosp.common.vo.LoginVo;

/**
 * 初期処理機能を提供する。<br><br>
 * 初期ページを決定する。<br>
 * <br>
 */
public class IndexAction extends BaseAction {
	
	/**
	 * コンストラクタ。<br>
	 * 各種確認不要を設定する。<br>
	 */
	public IndexAction() {
		super();
		// 共通処理設定
		setNeedSession (false);
		setNeedAspUser (false);
		setNeedUser    (false);
		setCheckProcSeq(false);
		setCheckAuth   (false);
	}
	
	/**
	 * アクション。<br>
	 * セッションを取得し、{@link #getIndexUrl()}を実行する。<br>
	 */
	public void action() throws Exception {
		// 初期ページの取得
		getIndexUrl();
	}
	
	/**
	 * 遷移先取得処理。<br>
	 * 初期ページを取得、設定する。<br>
	 * @throws Exception
	 */
	protected void getIndexUrl() throws Exception {
		// VOの作成
		LoginVo vo = new LoginVo(cfg, msg, nam, cmd, aspUser, user);
		vo.setUserId("");
		vo.setPass("");
		// VO及び遷移先をセット
		setVo(vo);
		setUrl(vo.getRetUrl());
	}
	
}
